<div class="container">
  <p-toolbar class="button-list">
    <div class="p-toolbar-group-start">
      <ng-container [ngTemplateOutlet]="isDetail()?document:list"></ng-container>
    </div>
  </p-toolbar>
</div>

<ng-template #list>
  <p-button (click)="onNewItemClick()" i18n>新增</p-button>
</ng-template>

<ng-template #document>
  <p-button (click)="onItemListClick()" i18n>清單</p-button>
  <p-button (click)="onDittoItemClick()">Ditto</p-button>
  <p-button (click)="onNewItemClick()" i18n>新增</p-button>
  <p-button (click)="onSaveItemClick()" i18n>儲存</p-button>
  <p-button (click)="onDeleteItemClick()" i18n>刪除</p-button>
</ng-template>

